import{s as H,n as L,o as M}from"../chunks/scheduler.16523b0d.js";import{S as A,i as S,g as u,s as l,r as I,A as T,h as _,f as i,c as g,j as y,u as $,x as W,k as w,y as z,a as n,v as N,d as O,t as j,w as k}from"../chunks/index.841805ba.js";import{D as R}from"../chunks/Docstring.736d6cc6.js";import{H as q,E as B}from"../chunks/EditOnGithub.e13b29e8.js";function G(E){let e,d,p,h,r,x,s,o,D,c,F="ImageClassificationParams is a configuration class for image classification training parameters.",v,m,C,f,b;return r=new q({props:{title:"Image Classification Parameters",local:"autotrain.trainers.image_classification.params.ImageClassificationParams",headingTag:"h1"}}),o=new R({props:{name:"class autotrain.trainers.image_classification.params.ImageClassificationParams",anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'google/vit-base-patch16-224'"},{name:"username",val:": Optional = None"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"batch_size",val:": int = 8"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"logging_steps",val:": int = -1"},{name:"project_name",val:": str = 'project-name'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"image_column",val:": str = 'image'"},{name:"target_column",val:": str = 'target'"},{name:"log",val:": str = 'none'"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.model",description:"<strong>model</strong> (str) &#x2014; Pre-trained model name or path. Default is &#x201C;google/vit-base-patch16-224&#x201D;.",name:"model"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face account username.",name:"username"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate for the optimizer. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of epochs for training. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Batch size for training. Default is 8.",name:"batch_size"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Warmup ratio for learning rate scheduler. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Number of gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer type. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Learning rate scheduler type. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay for the optimizer. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Maximum gradient norm for clipping. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed for reproducibility. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Name of the training data split. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Name of the validation data split.",name:"valid_split"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Number of steps between logging. Default is -1.",name:"logging_steps"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Name of the project for output directory. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Automatically find optimal batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision training mode (fp16, bf16, or None).",name:"mixed_precision"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Maximum number of checkpoints to keep. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hugging Face Hub token for authentication.",name:"token"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push the model to Hugging Face Hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy during training. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.image_column",description:"<strong>image_column</strong> (str) &#x2014; Column name for images in the dataset. Default is &#x201C;image&#x201D;.",name:"image_column"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.target_column",description:"<strong>target_column</strong> (str) &#x2014; Column name for target labels in the dataset. Default is &#x201C;target&#x201D;.",name:"target_column"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.log",description:"<strong>log</strong> (str) &#x2014; Logging method for experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Number of epochs with no improvement for early stopping. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.image_classification.params.ImageClassificationParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Threshold for early stopping. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/v0.8.21/src/autotrain/trainers/image_classification/params.py#L8"}}),m=new B({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/image_classification_params.mdx"}}),{c(){e=u("meta"),d=l(),p=u("p"),h=l(),I(r.$$.fragment),x=l(),s=u("div"),I(o.$$.fragment),D=l(),c=u("p"),c.textContent=F,v=l(),I(m.$$.fragment),C=l(),f=u("p"),this.h()},l(a){const t=T("svelte-u9bgzb",document.head);e=_(t,"META",{name:!0,content:!0}),t.forEach(i),d=g(a),p=_(a,"P",{}),y(p).forEach(i),h=g(a),$(r.$$.fragment,a),x=g(a),s=_(a,"DIV",{class:!0});var P=y(s);$(o.$$.fragment,P),D=g(P),c=_(P,"P",{"data-svelte-h":!0}),W(c)!=="svelte-1jyt9vi"&&(c.textContent=F),P.forEach(i),v=g(a),$(m.$$.fragment,a),C=g(a),f=_(a,"P",{}),y(f).forEach(i),this.h()},h(){w(e,"name","hf:doc:metadata"),w(e,"content",U),w(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,t){z(document.head,e),n(a,d,t),n(a,p,t),n(a,h,t),N(r,a,t),n(a,x,t),n(a,s,t),N(o,s,null),z(s,D),z(s,c),n(a,v,t),N(m,a,t),n(a,C,t),n(a,f,t),b=!0},p:L,i(a){b||(O(r.$$.fragment,a),O(o.$$.fragment,a),O(m.$$.fragment,a),b=!0)},o(a){j(r.$$.fragment,a),j(o.$$.fragment,a),j(m.$$.fragment,a),b=!1},d(a){a&&(i(d),i(p),i(h),i(x),i(s),i(v),i(C),i(f)),i(e),k(r,a),k(o),k(m,a)}}}const U='{"title":"Image Classification Parameters","local":"autotrain.trainers.image_classification.params.ImageClassificationParams","sections":[],"depth":1}';function V(E){return M(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends A{constructor(e){super(),S(this,e,V,G,H,{})}}export{Y as component};
